summaryrefslogtreecommitdiff
path: root/yocto-poky/oe-init-build-env
diff options
context:
space:
mode:
Diffstat (limited to 'yocto-poky/oe-init-build-env')
-rwxr-xr-xyocto-poky/oe-init-build-env51
1 files changed, 28 insertions, 23 deletions
diff --git a/yocto-poky/oe-init-build-env b/yocto-poky/oe-init-build-env
index 6fee5f72a..5fe68d1e2 100755
--- a/yocto-poky/oe-init-build-env
+++ b/yocto-poky/oe-init-build-env
@@ -19,44 +19,49 @@
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
-# Normally this is called as '. ./oe-init-build-env builddir'
+# Normally this is called as '. ./oe-init-build-env <builddir>'
#
-# This works in most shells (not dash), but not all of them pass arg1 when
-# being sourced. To workaround the shell limitation use "set arg1" prior
-# to sourcing this script.
+# This works in most shells (not dash), but not all of them pass the arguments
+# when being sourced. To workaround the shell limitation use "set <builddir>"
+# prior to sourcing this script.
#
if [ -n "$BASH_SOURCE" ]; then
- OEROOT="`dirname $BASH_SOURCE`"
+ THIS_SCRIPT=$BASH_SOURCE
elif [ -n "$ZSH_NAME" ]; then
- OEROOT="`dirname $0`"
+ THIS_SCRIPT=$0
else
- OEROOT="`pwd`"
+ THIS_SCRIPT="$(pwd)/oe-init-build-env"
fi
if [ -n "$BBSERVER" ]; then
- unset BBSERVER
+ unset BBSERVER
fi
-THIS_SCRIPT=$OEROOT/oe-init-build-env
if [ -z "$ZSH_NAME" ] && [ "$0" = "$THIS_SCRIPT" ]; then
- echo "Error: This script needs to be sourced. Please run as '. $THIS_SCRIPT'"
- exit 1
+ echo "Error: This script needs to be sourced. Please run as '. $THIS_SCRIPT'"
+ exit 1
fi
-OEROOT=`readlink -f "$OEROOT"`
+if [ -z "$OEROOT" ]; then
+ OEROOT=$(dirname "$THIS_SCRIPT")
+ OEROOT=$(readlink -f "$OEROOT")
+fi
+unset THIS_SCRIPT
+
export OEROOT
-. $OEROOT/scripts/oe-buildenv-internal && \
- $OEROOT/scripts/oe-setup-builddir && \
- [ -n "$BUILDDIR" ] && cd "$BUILDDIR"
+. $OEROOT/scripts/oe-buildenv-internal &&
+ TEMPLATECONF="$TEMPLATECONF" $OEROOT/scripts/oe-setup-builddir || {
+ unset OEROOT
+ return 1
+}
unset OEROOT
-unset BBPATH
-unset THIS_SCRIPT
+
+[ -z "$BUILDDIR" ] || cd "$BUILDDIR"
# Shutdown any bitbake server if the BBSERVER variable is not set
-if [ -z "$BBSERVER" ] && [ -f bitbake.lock ] ; then
- grep ":" bitbake.lock > /dev/null && BBSERVER=`cat bitbake.lock` bitbake --status-only
- if [ $? = 0 ] ; then
- echo "Shutting down bitbake memory resident server with bitbake -m"
- BBSERVER=`cat bitbake.lock` bitbake -m
+if [ -z "$BBSERVER" ] && [ -f bitbake.lock ]; then
+ grep ":" bitbake.lock > /dev/null && BBSERVER=$(cat bitbake.lock) bitbake --status-only
+ if [ $? = 0 ]; then
+ echo "Shutting down bitbake memory resident server with bitbake -m"
+ BBSERVER=$(cat bitbake.lock) bitbake -m
fi
fi
-